MuleManagedConnectionFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleManagedConnectionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class MuleManagedConnectionFactory

    java.lang.Object
      org.mule.module.jca.MuleManagedConnectionFactory

All Implemented Interfaces:
  Serializable, ManagedConnectionFactory

    public class MuleManagedConnectionFactory

extends Object
implements ManagedConnectionFactory

`MuleManagedConnectionFactory` TODO

See Also:
  Serialized Form

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`MuleManagedConnectionFactory()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener lis)` Associate PropertyChangeListener with the ManagedConnectionFactory, in order to notify about properties changes.
`Object` | `createConnectionFactory()` Creates a Connection Factory instance.
`Object` | `createConnectionFactory(ConnectionManager cxManager)` Creates a Connection Factory instance.
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo cxRequestInfo)` ManagedConnectionFactory uses the security information (passed as Subject) and additional ConnectionRequestInfo (which is specific to ResourceAdapter and opaque to application server) to create this new connection.
`boolean` | `equals(Object obj)`
`PrintWriter` | `getLogWriter()` Gets the log writer for this ManagedConnectionFactory instance.
`String` | `getPassword()` Returns the value of the password property.
`String` | `getUsername()` Returns the value of the userName property.
`int` | `hashCode()`
`ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, ConnectionRequestInfo cxRequestInfo)` Returns a matched managed connection from the candidate set of connections.
`void` | `removePropertyChangeListener(PropertyChangeListener lis)` Delete association of PropertyChangeListener with the ManagedConnectionFactory.
`void` | `setLogWriter(PrintWriter out)` Sets the log writer for this ManagedConnectionFactory instance.
`void` | `setPassword(String password)` Sets the value of the password property.
`void` | `setUsername(String username)` Sets the value of the userName property.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

Constructor Detail

### MuleManagedConnectionFactory

    public MuleManagedConnectionFactory()

Method Detail

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `ManagedConnectionFactory`
  Overrides:
    `equals` in class `Object`

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Creates a Connection Factory instance. The ConnectionFactory instance is initialized with the passed ConnectionManager. In the managed scenario, ConnectionManager is provided by the application server.

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Parameters:
    `cxManager` - ConnectionManager to be associated with created EIS connection factory instance
  Returns:
    EIS-specific Connection Factory instance
  Throws:
    `ResourceException` - if the attempt to create a connection factory fails

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Creates a Connection Factory instance. The Connection Factory instance is initialized with a default ConnectionManager. In the non-managed scenario, the ConnectionManager is provided by the resource adapter.

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Returns:
    EIS-specific Connection Factory instance
  Throws:
    `ResourceException` - if the attempt to create a connection factory fails

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo cxRequestInfo)
                                              throws ResourceException

  ManagedConnectionFactory uses the security information (passed as Subject) and additional ConnectionRequestInfo (which is specific to ResourceAdapter and opaque to application server) to create this new connection.

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Parameters:
    `subject` - caller's security information
    `cxRequestInfo` - additional resource adapter specific connection request information
  Returns:
    ManagedConnection instance
  Throws:
    `ResourceException` - if the attempt to create a connection fails

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connectionSet,
                                                     Subject subject,
                                                     ConnectionRequestInfo cxRequestInfo)
                                              throws ResourceException

  Returns a matched managed connection from the candidate set of connections. ManagedConnectionFactory uses the security info (as in Subject) and information provided through ConnectionRequestInfo and additional Resource Adapter specific criteria to do matching. A MC that has the requested store is returned as a match

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Parameters:
    `connectionSet` - candidate connection set
    `subject` - caller's security information
    `cxRequestInfo` - additional resource adapter specific connection request information
  Returns:
    ManagedConnection if resource adapter finds an acceptable match, otherwise null
  Throws:
    `ResourceException` - if the match fails

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Sets the log writer for this ManagedConnectionFactory instance. The log writer is a character output stream to which all logging and tracing messages for this ManagedConnectionfactory instance will be printed.

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Parameters:
    `out` - an output stream for error logging and tracing
  Throws:
    `ResourceException` - if the method fails

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Gets the log writer for this ManagedConnectionFactory instance.

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Returns:
    PrintWriter an output stream for error logging and tracing
  Throws:
    `ResourceException` - if the method fails

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener lis)

  Associate PropertyChangeListener with the ManagedConnectionFactory, in order to notify about properties changes.

  Parameters:
    `lis` - the PropertyChangeListener to be associated with the ManagedConnectionFactory

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener lis)

  Delete association of PropertyChangeListener with the ManagedConnectionFactory.

  Parameters:
    `lis` - the PropertyChangeListener to be removed

### getUsername

    public String getUsername()

  Returns the value of the userName property.

  Returns:
    the value of the userName property

### setUsername

    public void setUsername(String username)

  Sets the value of the userName property.

  Parameters:
    `username` - String containing the value to be assigned to userName

### getPassword

    public String getPassword()

  Returns the value of the password property.

  Returns:
    the value of the password property

### setPassword

    public void setPassword(String password)

  Sets the value of the password property.

  Parameters:
    `password` - String containing the value to be assigned to password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.